Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ec.cgp.functions
Class FunctionsIris

    java.lang.Object
      ec.cgp.functions.FunctionsBreastCancerY
          ec.cgp.functions.FunctionsIris

All Implemented Interfaces:
  Functions

    public class FunctionsIris

extends FunctionsBreastCancerY

Function set for the Iris species classification problem. The only difference between this and the Breast Cancer (Wisconsin) classification problem is the naming of the inputs.

Author:
  David Oranchak, doranchak@gmail.com, http://oranchak.com

Field Summary

Fields inherited from class ec.cgp.functions.FunctionsBreastCancerY
`F_ADD, F_AND, F_DIV, F_EQ, F_GT, F_GTE, F_IF, F_IFLEZ, F_LT, F_LTE, F_MUL, F_NAND, F_NEG, F_NOR, F_NOT, F_OR, F_SUB`

Constructor Summary
`FunctionsIris()`

Method Summary
`java.lang.String` | `inputName(int inp, java.lang.Object val)` Return the name, suitable for display, for the given input.

Methods inherited from class ec.cgp.functions.FunctionsBreastCancerY
`arityOf, b2f, callFunction, f2b, functionName, main, testFunctions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionsIris

    public FunctionsIris()

Method Detail

### inputName

    public java.lang.String inputName(int inp,
                                      java.lang.Object val)

  Description copied from class: `FunctionsBreastCancerY`
  Return the name, suitable for display, for the given input.

  Specified by:
    `inputName` in interface `Functions`
  Overrides:
    `inputName` in class `FunctionsBreastCancerY`
  Parameters:
    `inp` - The input number
    `val` - Optional input value (needed if you want to display a constant value for this input)
  Returns:
    The descriptive input name that corresponds to this input.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD